Skip to navigation

Delete recipient from envelope

View as Markdown

Deletes a recipient from a draft or sent envelope.

If the envelope is “In Process” (has been sent and is not completed or voided), recipients that have completed their actions cannot be deleted.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

envelopeIdstringRequired

The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

recipientIdstringRequired

A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1.

Response

Successful response.
agentslist of objectsOptional
A complex type defining the management and access rights of a recipient assigned assigned as an agent on the document.
carbonCopieslist of objectsOptional
A complex type containing information about recipients who should receive a copy of the envelope, but does not need to sign it.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
editorslist of objectsOptional
A complex type defining the management and access rights of a recipient assigned assigned as an editor on the document.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

recipientCountstringOptional

The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with:

  • recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded.
  • includeDocuments - When set to true, the envelope time zone information is included in the message.
sealslist of objectsOptional
signerslist of objectsOptional
A complex type containing information about the Signer recipient.
witnesseslist of objectsOptional

Errors

400
Bad Request Error